TableDelete class

- « Table::update

- TableDelete::bind »

- PHP Manual
- Mysql_xdevapi
- TableDelete class

# TableDelete class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

A statement for delete operations on Table.

## Class synopsis

class mysql_xdevapi\TableDelete implements mysql_xdevapi\Executable {
/* Methods */
public bind(array `$placeholder_values`): mysql_xdevapi\TableDelete
public execute(): mysql_xdevapi\Result
public limit(int `$rows`): mysql_xdevapi\TableDelete
public orderby(string `$orderby_expr`): mysql_xdevapi\TableDelete
public where(string `$where_expr`): mysql_xdevapi\TableDelete
}

## Table of Contents

- TableDelete::bind — Bind delete query parameters
- TableDelete::__construct — TableDelete constructor
- TableDelete::execute — Execute delete query
- TableDelete::limit — Limit deleted rows
- TableDelete::orderby — Set delete sort criteria
- TableDelete::where — Set delete search condition